Cluster EVC Manager Check Add Host Evc Task

Cluster EVC Manager Check Add Host Evc Task
Test the validity of adding a host into the managed cluster.

Test the validity of adding a host into the managed cluster.

Note that this method only tests EVC admission control; host-add may fail for other reasons.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ClusterEVCManager/{moId}/CheckAddHostEvc_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ClusterEVCManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
CheckAddHostEvcRequestType of type(s) application/json
Required

Show optional properties

{
    "cnxSpec": {}
}
{
    "cnxSpec": {
        "_typeName": "string",
        "hostName": "string",
        "port": 0,
        "sslThumbprint": "string",
        "sslCertificate": "string",
        "userName": "string",
        "password": "string",
        "vmFolder": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "force": false,
        "vimAccountName": "string",
        "vimAccountPassword": "string",
        "managementIp": "string",
        "lockdownMode": "string",
        "hostGateway": {
            "_typeName": "string",
            "gatewayType": "string",
            "gatewayId": "string",
            "trustVerificationToken": "string",
            "hostAuthParams": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": "string"
                }
            ]
        }
    }
}
cnxSpec
Required

The spec that will be used to add the host.

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the operation.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

InvalidLogin: if authentication with the host fails.

HostConnectFault: if an error occurred when attempting to connect to the host. Typically, a more specific subclass is thrown.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cnxSpec":"{}"}' https://{api_host}/sdk/vim25/{release}/ClusterEVCManager/{moId}/CheckAddHostEvc_Task